{% extends 'base.html.twig' %}

{% block title %}Edit reservation{% endblock %}

{% block body %}


<div class="container mt-5">
    <div class="row">
        <div class="col-12">
            <h1 class="text-center mb-5">TagThing Test</h1>
            <div class="card">
                <h5 class="card-header d-flex justify-content-between align-items-center">
                    Edit reservation: #{{ reservation.id }}
                    <a href="{{ path('index') }}" type="button" class="btn btn-sm btn-primary">Back to reservations</a>
                </h5>
                <div class="card-body">
                    <form method="post" action="{{ path('update_reservation', {'id' : reservation.id}) }}">
                        <div class="form-group">
                            <label for="product">Products</label>
                            <select class="form-control" id="product" name="product">
                                {% for product in products %}
                                    <option value="{{ product.id }}" {{ product.id == reservation.product.id ? 'selected' : ''}}>{{ product.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="final_price">Final price</label>
                            <input type="number" class="form-control" id="final_price" name="final_price" value="{{ reservation.finalPrice }}">
                        </div>
                        <div class="form-group text-center">
                            <button type="submit" class="btn btn-primary">Update</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
